Bug 1445923

Summary: Review Request: streameye - Simple MJPEG streamer for Linux
Product: [Fedora] Fedora Reporter: Jan Kalina <jkalina>
Component: Package ReviewAssignee: James Hogarth <james.hogarth>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: james.hogarth, jkalina, package-review, tcallawa, zbyszek
Target Milestone: ---Flags: james.hogarth: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-12 22:56:36 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jan Kalina 2017-04-26 19:25:42 UTC
Spec URL: http://test.jazkor.cz/streameye.spec
SRPM URL: http://test.jazkor.cz/streameye-0.8-1.fc25.src.rpm
Description:

Simple MJPEG streamer for Linux. It acts as an HTTP server and is capable of serving multiple simultaneous clients.

It will feed the JPEGs read at input to all connected clients, in a MJPEG stream. The JPEG frames at input may be delimited by a given separator. In the absence of a separator, streamEye will autodetect all JPEG frames.

https://github.com/ccrisan/streameye

Comment 1 Michael Schwendt 2017-04-28 09:04:42 UTC
Package Review tickets are assigned to "Rawhide" _always_. Also specify your username in the Fedora Account System following the https://fedoraproject.org/wiki/Package_Review_Process

Comment 2 Jan Kalina 2017-04-28 10:34:37 UTC
Fedora account name: jkalina

Comment 3 James Hogarth 2017-05-23 13:17:59 UTC
Checking with the Fedora legal list out of an abundance of caution to ensure MJPEG streaming is safe to package within Fedora.

Once cleared I'll carry out the review, and can sponsor you as well.

Comment 4 Tom "spot" Callaway 2017-05-23 15:01:05 UTC
There are no visible concerns with the MJPEG streaming as implemented in streameye. Lifting FE-Legal.

Comment 5 James Hogarth 2017-05-23 15:05:22 UTC
Great, thanks Spot.

Jan, whilst I go about doing the review itself for your package could you please pick out 2-3 packages in the review queue and carry out an informal/unofficial review.

As per the policies outlined[0] it's essential to demonstrate an understanding of the Fedora Packaging Guidelines since once in the packagers group you'll be trusted to carry out the reviews and approve the packages of all other Fedora Package Maintainers.

[0] https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group#Convincing_someone_to_sponsor_you

Comment 6 Jan Kalina 2017-06-01 09:05:21 UTC
First informal review: https://bugzilla.redhat.com/show_bug.cgi?id=1451298#c6

Comment 7 Jan Kalina 2017-06-01 11:10:11 UTC
Second informal review: https://bugzilla.redhat.com/show_bug.cgi?id=1447517#c3

Comment 8 Jan Kalina 2017-06-02 14:18:11 UTC
Third informal review: https://bugzilla.redhat.com/show_bug.cgi?id=1441728#c12

Comment 9 Jan Kalina 2017-06-02 23:36:45 UTC
Package update by fedora-review notes:
http://test.jazkor.cz/streameye-0.8-2.fc25.src.rpm
http://test.jazkor.cz/streameye.spec

Comment 10 James Hogarth 2017-08-22 08:52:05 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc make
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- SHOULD preserve timestamps, so add -p to your cp


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 3 files have
     unknown license. Detailed output of licensecheck in
     /home/james/workspace/fedora-scm/1445923-streameye/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     streameye-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: streameye-0.8-2.fc28.x86_64.rpm
          streameye-debuginfo-0.8-2.fc28.x86_64.rpm
          streameye-0.8-2.fc28.src.rpm
streameye.x86_64: W: only-non-binary-in-usr-lib
streameye.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
streameye.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
streameye.x86_64: W: no-manual-page-for-binary streameye
streameye-debuginfo.x86_64: E: debuginfo-without-sources
3 packages and 0 specfiles checked; 1 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: streameye-debuginfo-0.8-2.fc28.x86_64.rpm
streameye-debuginfo.x86_64: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
streameye-debuginfo.x86_64: E: debuginfo-without-sources
streameye.x86_64: W: only-non-binary-in-usr-lib
streameye.x86_64: W: no-manual-page-for-binary streameye
2 packages and 0 specfiles checked; 1 errors, 2 warnings.



Requires
--------
streameye-debuginfo (rpmlib, GLIBC filtered):

streameye (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
streameye-debuginfo:
    debuginfo(build-id)
    streameye-debuginfo
    streameye-debuginfo(x86-64)

streameye:
    streameye
    streameye(x86-64)



Source checksums
----------------
https://github.com/ccrisan/streameye/archive/0.8.tar.gz#/streameye-0.8.tar.gz :
  CHECKSUM(SHA256) this package     : 6dbda8147ef2701ad57f816f3ecdcd72c4b31b12c286c7a2eed5405421a06dbf
  CHECKSUM(SHA256) upstream package : 6dbda8147ef2701ad57f816f3ecdcd72c4b31b12c286c7a2eed5405421a06dbf


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1445923
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


==== Summary ====

Fix the missing %license, remove the unnecessary BR entries and add the preserve flag to cp for the %install and this'll be good to go.

Comment 11 Jan Kalina 2017-08-22 13:22:22 UTC
Updated, should be ok now:
http://test.jazkor.cz/streameye-0.8-3.fc25.src.rpm
http://test.jazkor.cz/streameye.spec

Comment 12 James Hogarth 2017-08-22 13:32:33 UTC
That's great.

On the basis of those changes, package review is APPROVED

I'll get your sponsorship arranged as well.

Comment 13 Gwyn Ciesla 2017-08-22 14:32:44 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/streameye

Comment 14 Fedora Update System 2017-09-04 11:52:04 UTC
streameye-0.8-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2919664de4

Comment 15 Fedora Update System 2017-09-04 22:50:31 UTC
streameye-0.8-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2919664de4

Comment 16 Fedora Update System 2017-09-12 22:56:36 UTC
streameye-0.8-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.